Try ERPNext Buy Support Partners Foundation

How to setup retail module

I am trying to use the retail module because my erpnext version is lacking cashier opining and closing.
So as mentioned here in the manual I tried to go to home > setup > domain setting, but I can’t find this tap/setting option in my version at all.
When I go to Home > Setup > Show or Hide Modules, the Retail module is nowhere to be found.
When I go to Home > Application Installer I have only two apps:
ERPNext Open Source Enterprise Resource Planning for Small and Midsized Organizations Publisher: Frappe Technologies Pvt. Ltd. and Contributors | Version: 5.0.7
and
Frappe Framework Full Stack Web Application Framework in Python Publisher: Frappe Technologies Pvt. Ltd. | Version: 5.0.6
And all this time I though I had v11 or 12, or this is the erpnext base version? I don’t know
I don’t know if I’m missing something?
So, is there any way to setup this module?

Solved, I hope.
I found that I am ruining a very old version and I should upgrade to newer version